import telebot
import requests
import time
import os
from loguru import logger

BOT_TOKEN = os.getenv('BOT_TOKEN', default="7153107488:AAEfeznAQzcvJhoEa0QqKN9baP4luQ4Xd1Y")
API_URL = os.getenv('API_URL', default="http://127.0.0.1:8080/changeurl")

logger.debug(f"bot_token:{BOT_TOKEN}")
logger.debug(f"api_url:{API_URL}")

bot = telebot.TeleBot(BOT_TOKEN)
ky = ['技术客服域名值班']
hth = ['YYZBH②拒绝私聊', '3-信息同步频道']


@bot.message_handler(func=lambda message: message.forward_date is not None)
def handle_forwarded_message(message):
    try:
        res = requests.post(API_URL, json={'text': message.text})
        if res.status_code == 200:
            if res.json()['res']:
                msg = f'{res.json()["msg"]}修改成功'
            else:
                msg = f'{res.json()["msg"]}修改失败'
        else:
            msg = '请求发生错误,请检查服务是否正常'
    except Exception as e:
        logger.error(f"An error occurred in change_url: {e}")
        msg = "处理您的请求时发生错误。"

    bot.reply_to(message, msg)


def start_polling():
    while True:
        try:
            bot.polling(none_stop=True)
        except Exception as e:
            logger.error(f"长轮询异常: {e}")
            # 在重新尝试前暂停一段时间
            time.sleep(15)


if __name__ == "__main__":
    start_polling()  # 开始长轮询
